---
layout: comparison_page
trial_bar: true
suppress_header: true
title: "GitLab Ultimate vs. WhiteSource | GitLab compared to other tools"
image_title: '/images/comparison/title_image.png'
extra_css:
  - compared.css
  - release-posts.css
extra_js:
  - comparison.js
  - bootstrap-tooltip.js
---

- competitors = data.features.competitors
= partial "includes/comparison_table", locals: { comparison_block: data.features.comparisons.gitlab_ultimate_vs_whitesource, product_one: competitors.gitlab_ultimate, product_two: competitors.whitesource, key_one: :gitlab_ultimate, key_two: :whitesource }
